﻿using System;
using System.Windows.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVVMLightToolkit
{
    [ValueConversion(typeof(string), typeof(int))]
    class StringToIntConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string str = value.ToString();

            if (string.IsNullOrEmpty(str))
                return 0;
            else
                try
                {
                    int result = 0;

                    int.TryParse(str, out result);
                    return result;
                }
                catch (ArgumentException)
                {
                    return 0;
                }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value.ToString();
        }

        #endregion
    }
}
