﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using GalaSoft.MvvmLight.Messaging;
using MVVMLightToolkit.Messages;

namespace MVVMLightToolkit.ViewModel
{
    /// <summary>
    /// This class contains properties that a View can data bind to.
    /// <para>
    /// Use the <strong>mvvminpc</strong> snippet to add bindable properties to this ViewModel.
    /// </para>
    /// <para>
    /// You can also use Blend to data bind with the tool's support.
    /// </para>
    /// <para>
    /// See http://www.galasoft.ch/mvvm/getstarted
    /// </para>
    /// </summary>
    public class OptionsViewModel : ViewModelBase
    {
        #region Save Options Command
        private RelayCommand<int> _saveCommand;

        public RelayCommand<int> SaveOptions
        {
            get
            {
                if (_saveCommand == null)
                    _saveCommand = new RelayCommand<int>(
                        x =>
                        {
                            Messenger.Default.Send<ChangeOptionsMessage>(new ChangeOptionsMessage(x));
                        });

                return _saveCommand;
            }
        }

        #endregion

        /// <summary>
        /// Initializes a new instance of the OptionsViewModel class.
        /// </summary>
        public OptionsViewModel()
        {
            ////if (IsInDesignMode)
            ////{
            ////    // Code runs in Blend --> create design time data.
            ////}
            ////else
            ////{
            ////    // Code runs "for real": Connect to service, etc...
            ////}
        }

        ////public override void Cleanup()
        ////{
        ////    // Clean own resources if needed

        ////    base.Cleanup();
        ////}
    }
}